
local hudteammate = HUDTeammate
local hookid_prefix = "dcs_hudteammate"
if utf8.to_lower(RequiredScript) == "lib/managers/hud/hudteammatevr" then 
	hudteammate = HUDTeammateVR
	hookid_prefix = "dcs_hudteammatevr"
end
--programmers HATE him!


--these two should no longer be used anywhere within this mod, but i'll keep them here just in case
function hudteammate:_set_downs_amount_color(color) --function added by down counter, not vanilla
	return DownCounterStandalone._set_downs_amount_color(self,color)
end

function hudteammate:_set_downs_amount_string(amount) --function added by down counter, not vanilla
	return DownCounterStandalone._set_downs_amount_string(self,amount)
end

Hooks:PostHook(hudteammate,"set_peer_id",hookid_prefix .. "_set_peerid",function(self,peer_id)
	if peer_id and not self._main_player then 
		local num,color
		
		if DownCounterStandalone:ShouldShowTeammateRevives() then 
			num = DownCounterStandalone:GetRevives(peer_id)
			color = DownCounterStandalone.color_data.counter_revives
		else
			num = DownCounterStandalone:GetDowns(peer_id)
			color = DownCounterStandalone.color_data.counter_downs
		end

		DownCounterStandalone._set_downs_amount_string(self,num)
		DownCounterStandalone._set_downs_amount_color(self,color)
	end
end)

Hooks:PostHook(hudteammate,"_create_radial_health",hookid_prefix .. "_createradialhealth",function(self,radial_health_panel)
	radial_health_panel = radial_health_panel or self._radial_health_panel
	if alive(radial_health_panel) then 
		
		local peer_id = self:peer_id()
		
		local downs_start
		local color
		if self._main_player then
			if DownCounterStandalone:ShouldShowPlayerRevives() then
				color = DownCounterStandalone.color_data.counter_revives
				downs_start = DownCounterStandalone:GetRevives(LuaNetworking:LocalPeerID())
			else
				color = DownCounterStandalone.color_data.counter_downs
				downs_start = 0
			end
		else
			if DownCounterStandalone:ShouldShowTeammateRevives() then 
				color = DownCounterStandalone.color_data.counter_revives
				downs_start = peer_id and DownCounterStandalone:GetRevives(peer_id) or DownCounterStandalone:GetMaxRevives()
			else
				color = DownCounterStandalone.color_data.counter_downs
				downs_start = 0
			end
		end
		
		local downcounter_text = radial_health_panel:text({ --create a subpanel of health to display downcounter's information
			name = "downcounter_text",
			vertical = DownCounterStandalone.VALIGN,
			align = DownCounterStandalone.HALIGN,
			font_size = DownCounterStandalone.FONT_SIZE,
			text = string.format("%i",downs_start),
			font = DownCounterStandalone.FONT_NAME,
			layer = 5,
			visible = DownCounterStandalone:IsHUDEnabled(),
			color = color
		})
	end
end)