--on downed event for local player
Hooks:PostHook(PlayerDamage, "init", "dcs_playerdamage_init", function(self)
	self._listener_holder:add("dcs_on_enter_bleedout",{
		"on_enter_bleedout"
	}, function()
	
		
		
		local peer_id = LuaNetworking:LocalPeerID()
		local downs = DownCounterStandalone:GetDowns(peer_id) + 1
		local player_name = (managers.network and managers.network.account and managers.network.account:username()) or "ChadHeister McSexHaver"
		DownCounterStandalone:SetDowns(peer_id,downs,false)
		
		local revives = self:get_revives() --actual lives count according to the game
		
		local message 
		local max_revives = DownCounterStandalone:GetMaxRevives()
		local revives_used = max_revives - revives
		
		DownCounterStandalone:SetRevives(peer_id,revives)
		
		if revives <= 0 then 
			--don't announce anything if going into custody, and intentionally don't update downcounter's downs so that we can announce that in on_enter_custody()
			return
		end
		
		if DownCounterStandalone:IsAlertModeAll() or DownCounterStandalone:IsAlertModeSelf() then 
			
			local low_revives = revives <= DownCounterStandalone.LOW_LIVES_THRESHOLD
			
			local revives_count_text = ""
			
			
			if low_revives or not DownCounterStandalone:IsAnnounceLowDownsOnly() then
				if low_revives then 
					message = managers.localization:text("hud_dcs_announcement_criminal_state_bleedout_low_revives")
				else
					message = managers.localization:text("hud_dcs_announcement_criminal_state_bleedout")
				end
			end
			
			if DownCounterStandalone:ShouldShowPlayerRevives() then 
				if revives == 1 then 
					revives_count_text = " " .. managers.localization:text("hud_dcs_announcement_player_revives_count_singular")
				else
					revives_count_text = " " .. managers.localization:text("hud_dcs_announcement_player_revives_count_plural")
				end
				revives_count_text = string.gsub(revives_count_text,"$NUM",revives)
			else
				if revives_used == 1 then 
					revives_count_text = " " .. managers.localization:text("hud_dcs_announcement_criminal_downs_count_singular")
				else
					revives_count_text = " " .. managers.localization:text("hud_dcs_announcement_criminal_downs_count_plural")
				end
				revives_count_text = string.gsub(revives_count_text,"$NUM",revives_used)
			end
			
			if message then 
				message = message .. revives_count_text
				
				message = string.gsub(message,"$PLAYER",player_name)
				
				DownCounterStandalone:Announce(message)
			end
			
		end
	
	end)
end)
--on local player regenerated (from replenish/from docbag, or other sources)
Hooks:PostHook(PlayerDamage, "_regenerated", "dcs_playerdamage_onregenerated", function(self, no_messiah, ...)
	local peer_id = LuaNetworking:LocalPeerID()
	DownCounterStandalone:SetRevives(peer_id,self:get_revives())
	DownCounterStandalone:SetDowns(peer_id,0)
end)