--on self enter custody
Hooks:PostHook(PlayerManager,"on_enter_custody","dcs_playermanager_onentercustody",function(self, ...)
	local peer_id = LuaNetworking:LocalPeerID()
	if DownCounterStandalone:AnnounceCustodies() and (DownCounterStandalone:IsAlertModeSelf() or DownCounterStandalone:IsAlertModeAll()) then
		local message
		local player_name = (managers.network and managers.network.account and managers.network.account:username()) or "ChadHeister McSexHaver"
		local downs = DownCounterStandalone:GetDowns(peer_id)
		local rollem = math.random()
		if rollem < DownCounterStandalone.ANNOUNCE_DEAD_VARIANT_CHANCE then 
			message = managers.localization:text("hud_dcs_announcement_criminal_state_dead_variant_2")
		else
			message = managers.localization:text("hud_dcs_announcement_criminal_state_dead_variant_1")
		end
		
		--always count downs here, since if you go into custody you have either run out of lives, or someone just didn't revive you,
		--and the number of times you've been downed is more important 
		local downs_count_text = ""
		if downs > 1 then
			downs_count_text = " " .. managers.localization:text("hud_dcs_announcement_criminal_downs_count_plural")	
		elseif downs == 1 then 
			downs_count_text = " " .. managers.localization:text("hud_dcs_announcement_criminal_downs_count_singular")	
		end
		message = message .. downs_count_text
		
		message = string.gsub(message,"$PLAYER",player_name)
		message = string.gsub(message,"$NUM",downs)
		
		DownCounterStandalone:Announce(message)
	end
	DownCounterStandalone:SetDowns(peer_id,0,false)
end)

Hooks:PostHook(PlayerManager,"check_skills","dcs_playermanager_oncheckskills",function(self)

	--managers.network:session():local_peer().dcs_max_lives = DownCounterStandalone:GetMaxRevives() + self:upgrade_value("player", "additional_lives", 0)
	DownCounterStandalone:SendDownsDataToAll()
	
end)